Subject: bug#13977: 24.3.50; buffer-file-coding-system not set correctly

From: Eli Zaretskii <[email-masked]>
Date: Sat, 16 Mar 2013 18:52:49 +0200

> Date: Sat, 16 Mar 2013 14:49:17 +0000
> From: Richard Copley <[email-masked]>
> 
> On Windows, visit a plain ASCII text file with LF line endings. The
> value of `buffer-file-coding-system' is `iso-latin-1-dos' (should be
> `iso-latin-1-unix'). Modify and save the file. The file now has CRLF
> line endings.
> This was introduced recently in the trunk.

I can reproduce this on GNU/Linux, if I first evaluate this:

  (setq default-buffer-file-coding-system 'iso-latin-1-dos)

So I guess some of the latest changes use the default EOL format in
preference to the format of the file we are visiting.